verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*,5.3*

# Update configuration
system ConfPatch.exe "Configuration\licpoll.xml" "%installdir%\Configuration\Components\licpoll.xml" copy=licpoll.license-types=licpoll.license-types.Sentinel-sample

die off

# Stop service.
system net stop openit

die on

# Copy binaries.
system copy "bin\licpoll.exe" "%installdir%\bin\"

die off

# Start service again
system net start openit

# Copy readme.
system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1078.readme.txt"

print -------------------------------------------------------------
print All users (including Administrator) must log off and on again
print in order to finalize the patch. (No need for full restart.)
print Please read Readme.txt for configuration details.
print -------------------------------------------------------------

